import * as dotenvSafe from "dotenv-safe";
import express from "express";
import consola from "consola";
// import * as jwt from 'jsonwebtoken';
import "reflect-metadata";
import loaders from "./loaders/index";

dotenvSafe.config();
const PORT = process.env.APP_PORT || 4010;

async function main() {
    let app = express();
    await loaders(app);
    app.listen(PORT, () => {
        consola.success(
            `⚡️[server]: Server is running at http://localhost:${PORT}`
        );
    });
}
main();
